<!DOCTYPE html>
<html lang="en">
    <head>
        <meta charset="UTF-8">
        <meta name="viewport" content="width=device-width, initial-scale=1.0">
        <title>My Receipts</title>
    </head>
    <body>
        <header>
            <nav>
                <ul>
                    {% if user.is_authenticated %}
                        <li>
                            <a href="{% url 'logout' %}" class="a1">Logout</a>
                        </li>
                        <li>
                            <a href="{% url 'account_list' %}" class="a1">Accounts</a>
                        </li>
                        <li>
                            <a href="{% url 'create_receipt' %}" class="a1">Create a receipt</a>
                        </li>
                        <li>
                            <a href="{% url 'category_list' %}" class="a1">Categories</a>
                        </li>
                    {% else %}
                        <a href = "{% url 'signup' %}" class="a1">Sign Up</a>
                        <a href="{% url 'login' %}" class="a1">Login</a>
                    {% endif %}
                </ul>
            </nav>
        </header>
        <main>
            <h1>My Receipts</h1>
            <table>
                <thead>
                    <tr>
                        <th>Vendor</th>
                        <th>Total</th>
                        <th>Tax</th>
                        <th>Date</th>
                        <th>Category</th>
                        <th>Account</th>
                    </tr>
                </thead>
                <tbody>
                    {% for receipt in receipts_list %}
                        <tr>
                            <td>{{ receipt.vendor }}</td>
                            <td>{{ receipt.total }}</td>
                            <td>{{ receipt.tax }}</td>
                            <td>{{ receipt.date|date:"m/d/y" }}</td>
                            <td>{{ receipt.category.name }}</td>
                            <td>{{ receipt.account.name }}</td>
                        </tr>
                    {% endfor %}
                </tbody>
            </table>
        </main>
    </body>
</html>
